apiVersion: v1
kind: ServiceAccount
metadata:
  name: prometheus
  namespace: core
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: prometheus
  namespace: core
rules:
- apiGroups: [""]
  resources:
  - nodes
  - nodes/metrics
  - services
  - endpoints
  - pods
  verbs: ["get", "list", "watch"]
- apiGroups: [""]
  resources:
  - configmaps
  verbs: ["get"]
- apiGroups:
  - networking.k8s.io
  resources:
  - ingresses
  verbs: ["get", "list", "watch"]
- nonResourceURLs: ["/metrics"]
  verbs: ["get"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: prometheus
  namespace: core
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: prometheus
subjects:
- kind: ServiceAccount
  name: prometheus
  namespace: core
---
#apiVersion: monitoring.coreos.com/v1
#kind: Prometheus
#metadata:
#  name: prometheus
#  namespace: core
#  labels:
#    prometheus: prometheus
#spec:
#  replicas: 1
#  serviceAccountName: prometheus
#  serviceMonitorNamespaceSelector: 
#    matchLabels:
#      namespace: core
#  serviceMonitorSelector:
#    matchLabels:
#      app: slalite
#      tier: api
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: slalite-monitor
  namespace: core
  labels:
    app: slalite
    tier: api
    release: kube-prometheus-stack
spec:
  namespaceSelector:
#   any: true
    matchNames:
      - core
  selector:
    matchLabels:
      app: slalite
      tier: api
  endpoints:
  - port: api
